summaryrefslogtreecommitdiff
path: root/resources/scripts/modify
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2021-12-11 14:25:26 +0000
committerLeah Rowe <leah@libreboot.org>2021-12-11 14:25:26 +0000
commitc771aad44f592baae32249669f5369fc4206e72c (patch)
tree91ed1b5bdbd4c24ca6867f7693c5856bc89bb7ed /resources/scripts/modify
parent7e6691e999bf1fcda58fdb782932c598b1f7bd03 (diff)
add scripts for modifying coreboot configs
Diffstat (limited to 'resources/scripts/modify')
-rwxr-xr-xresources/scripts/modify/coreboot/configs82
-rwxr-xr-xresources/scripts/modify/seabios/configs64
2 files changed, 146 insertions, 0 deletions
diff --git a/resources/scripts/modify/coreboot/configs b/resources/scripts/modify/coreboot/configs
new file mode 100755
index 00000000..a61e7db5
--- /dev/null
+++ b/resources/scripts/modify/coreboot/configs
@@ -0,0 +1,82 @@
+#!/usr/bin/env bash
+
+#
+# helper script: modify coreboot configs (run make menuconfig)
+#
+# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This script assumes that the working directory is the root
+# of git or release archive
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+printf "Modifying coreboot configs\n"
+
+# Build ROM images for supported boards
+modifyconf() {
+ board="$1"
+ if [ -f "resources/coreboot/${board}/board.cfg" ]; then
+ cbtree="undefined"
+ source "resources/coreboot/${board}/board.cfg"
+ if [ "${cbtree}" = "undefined" ]; then
+ return 0
+ fi
+ if [ ! -d "coreboot/${cbtree}" ]; then
+ ./download coreboot ${cbtree}
+ fi
+ for cbcfg in resources/coreboot/${board}/config/*; do
+ if [ ! -f ${cbcfg} ]; then
+ continue
+ fi
+ (
+ cd coreboot/${cbtree}/
+ rm -f .config*
+ make distclean
+ )
+ mv $cbcfg coreboot/${cbtree}/.config
+ (
+ cd coreboot/${cbtree}/
+ make menuconfig
+ )
+ mv coreboot/${cbtree}/.config $cbcfg
+ rm -f coreboot/${cbtree}/.config*
+ (
+ cd coreboot/${cbtree}/
+ make distclean
+ )
+ done
+ else
+ printf "\nmodify/config/coreboot: no board.cfg for: %s\n" "${board}"
+ fi
+}
+
+if [ $# -gt 0 ]; then
+ for board in "${@}"; do
+ modifyconf "${board}"
+ done
+else
+ for board in resources/coreboot/*; do
+ if [ ! -d "${board}" ]; then
+ continue
+ fi
+ modifyconf "${board##*/}"
+ done
+fi
+
+printf "\n\n"
+
diff --git a/resources/scripts/modify/seabios/configs b/resources/scripts/modify/seabios/configs
new file mode 100755
index 00000000..17c94fec
--- /dev/null
+++ b/resources/scripts/modify/seabios/configs
@@ -0,0 +1,64 @@
+#!/usr/bin/env bash
+
+#
+# helper script: modify coreboot configs (run make menuconfig)
+#
+# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This script assumes that the working directory is the root
+# of git or release archive
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+printf "Updating seabios configs\n"
+
+if [ ! -d "seabios" ]; then
+ ./download seabios
+fi
+
+if [ ! -d "seabios" ]; then
+ printf "error: Failed to download SeaBIOS. check internet connection?\n"
+ exit 1
+fi
+
+for config in resources/seabios/config/*; do
+
+ if [ ! -f "${config}" ]; then continue; fi
+
+ (
+ cd seabios
+ make distclean
+ )
+
+ mv "${config}" seabios/.config
+ (
+ cd seabios
+ make menuconfig
+ )
+
+ cp seabios/.config "${config}"
+
+ (
+ cd seabios
+ make distclean
+ )
+
+done
+
+printf "\n\n"
+